import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;

/**
 * @author Administrator
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 */
public class TCPServer {

	/**
	 * Constructor for TCPServer.
	 */
	public TCPServer() {
		super();
	}

	public int init(int port) {
		try {
			serverSocket = new ServerSocket(port);
			if (serverSocket != null) return OK;
			else return FAILED;
		}
		catch (IOException e) {
			return FAILED;
		}
	}
	
	public TCPClient checkForNewConnections() {
		try {
			if (serverSocket != null) {
				Socket s = serverSocket.accept();
				if (s != null) 
                    return new TCPClient(s); 
                return null;
			}
		}
		catch (IOException e) {
			return null;
		}
		
		return null;
	}
		
	final static int OK = 1;
	final static int FAILED = 0;
	protected ServerSocket serverSocket = null;
}
